#!/bin/bash -e

OPENSSL_DIR="/etc/ssl"
OPENSSL_CONF="${OPENSSL_DIR}/openssl.cnf"

mv $OPENSSL_CONF "${OPENSSL_CONF}.bk"
echo "openssl_conf = default_conf" > $OPENSSL_CONF
cat "${OPENSSL_CONF}".bk >> $OPENSSL_CONF
cat << EOF >> "${OPENSSL_CONF}"
[default_conf]
ssl_conf = ssl_sect

[ssl_sect]
system_default = system_default_sect

[system_default_sect]
CipherString = DEFAULT:!CHACHA20
Ciphersuites = TLS_AES_128_GCM_SHA256:TLS_AES_256_GCM_SHA384
EOF
